

def keep_wavestate(properties, config):
    
    # print(properties)
    # print(properties.a)

    for line_pt in properties.line_pts:
        # check if any point is outside filtering area

        if (line_pt.lon < config.wave_filter_lon[0] or line_pt.lon > config.wave_filter_lon[1]
                or line_pt.lat < config.wave_filter_lat[0] or line_pt.lat > config.wave_filter_lat[1]):
            return False

    if properties.length_deg <= config.degree_len_thr:
        return False

    return True